Bug 558190 - kernel crash: list_add corruption
Summary: kernel crash: list_add corruption
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-24 09:42 UTC by Bernd Bartmann
Modified: 2010-12-03 23:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 23:54:23 UTC
Type: ---


Attachments (Terms of Use)
Kernel crashes (10.96 KB, text/plain)
2010-03-03 15:27 UTC, Victor
no flags Details

Description Bernd Bartmann 2010-01-24 09:42:10 UTC
Description of problem:
My two monitor system running X11 switched both screens to text mode and froze.
After a reboot I found several crash log entries /var/log/messges:
Jan 24 10:30:08 riker kernel: WARNING: at lib/list_debug.c:30 __list_add+0x44/0x5c() (Not tai
nted)
Jan 24 10:30:08 riker kernel: Hardware name:  
Jan 24 10:30:08 riker kernel: list_add corruption. prev->next should be next (f69578f8), but 
was f18cf5b0. (prev=f18cf5b0).
Jan 24 10:30:08 riker kernel: Modules linked in: fuse nfs lockd fscache nfs_acl auth_rpcgss s
unrpc p4_clockmod ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath 
uinput tda10021 tuner_simple tuner_types tuner snd_intel8x0 msp3400 budget_av saa7146_vv snd_
ac97_codec snd_bt87x ac97_bus bttv v4l2_common tda1004x videodev snd_seq snd_seq_device snd_p
cm v4l1_compat budget_ci videobuf_dma_sg snd_timer videobuf_core budget_core firewire_ohci ir
_common snd firewire_core btcx_risc crc_itu_t tveeprom dvb_core iTCO_wdt iTCO_vendor_support 
saa7146 ttpci_eeprom ppdev serio_raw parport_pc e1000 soundcore i2c_i801 snd_page_alloc ns558
 parport gameport radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: microco
de]
Jan 24 10:30:08 riker kernel: Pid: 1422, comm: Xorg Not tainted 2.6.31.12-174.2.3.fc12.i686.P
AE #1
Jan 24 10:30:08 riker kernel: Call Trace:
Jan 24 10:30:08 riker kernel: [<c043db4b>] warn_slowpath_common+0x70/0x87
Jan 24 10:30:08 riker kernel: [<c05a866c>] ? __list_add+0x44/0x5c
Jan 24 10:30:08 riker kernel: [<c043dba0>] warn_slowpath_fmt+0x29/0x2c
Jan 24 10:30:08 riker kernel: [<c05a866c>] __list_add+0x44/0x5c
Jan 24 10:30:08 riker kernel: [<f7f66349>] radeon_object_create+0x16f/0x17a [radeon]
Jan 24 10:30:08 riker kernel: [<f7f702ad>] radeon_gem_object_create+0x6b/0xc7 [radeon]
Jan 24 10:30:08 riker kernel: [<f7f7035d>] radeon_gem_create_ioctl+0x54/0xcc [radeon]
Jan 24 10:30:08 riker kernel: [<f7e73a45>] drm_ioctl+0x205/0x2a8 [drm]
Jan 24 10:30:08 riker kernel: [<f7f70309>] ? radeon_gem_create_ioctl+0x0/0xcc [radeon]
Jan 24 10:30:08 riker kernel: [<c056efc1>] ? inode_has_perm+0x69/0x84
Jan 24 10:30:08 riker kernel: [<c056f065>] ? file_has_perm+0x89/0xa3
Jan 24 10:30:08 riker kernel: [<c04d36e6>] vfs_ioctl+0x5c/0x76
Jan 24 10:30:08 riker kernel: [<c04d3c46>] do_vfs_ioctl+0x498/0x4d6
Jan 24 10:30:08 riker kernel: [<c056f309>] ? selinux_file_ioctl+0x43/0x46
Jan 24 10:30:08 riker kernel: [<c04d3cca>] sys_ioctl+0x46/0x66
Jan 24 10:30:08 riker kernel: [<c040909c>] syscall_call+0x7/0xb
Jan 24 10:30:08 riker kernel: ---[ end trace 10bbee88bd6f23eb ]---


Version-Release number of selected component (if applicable):
2.6.31.12-174.2.3.fc12.i686.PAE

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Conz 2010-02-18 10:50:46 UTC
Description:
Computer is running in run-level 3. Crashes seemingly randomly during the night.
Screen stays blank with no interaction possible.
Out of 3 crashes so far I only managed to find 1 log entry.
Kernel tainted from NVidia driver, driver has since been removed.

Feb 13 02:59:57 Linux kernel: ------------[ cut here ]------------
Feb 13 02:59:57 Linux kernel: WARNING: at lib/list_debug.c:30 __list_add+0x68/0x81() (Tainted: P          )
Feb 13 02:59:57 Linux kernel: Hardware name: SX38
Feb 13 02:59:57 Linux kernel: list_add corruption. prev->next should be next (ffffffff81849438), but was ffffffff81849418. (prev=ffffffff81849418).
Feb 13 02:59:57 Linux kernel: Modules linked in: nfs lockd fscache nfs_acl auth_rpcgss ext2 iptable_mangle xt_MARK sunrpc ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd nvidia(P) soundcore ata_generic pata_acpi firewire_ohci x38_edac iTCO_wdt firewire_core sky2 usblp snd_page_alloc pcspkr i2c_i801 edac_core i2c_core serio_raw crc_itu_t iTCO_vendor_support pata_jmicron shpchp 3w_9xxx [last unloaded: microcode]
Feb 13 02:59:57 Linux kernel: Pid: 0, comm: swapper Tainted: P           2.6.30.10-105.2.4.fc11.x86_64 #1
Feb 13 02:59:57 Linux kernel: Call Trace:
Feb 13 02:59:57 Linux kernel: <IRQ>  [<ffffffff81049505>] warn_slowpath_common+0x84/0x9c
Feb 13 02:59:57 Linux kernel: [<ffffffff81049574>] warn_slowpath_fmt+0x41/0x43
Feb 13 02:59:57 Linux kernel: [<ffffffff811d2dc3>] __list_add+0x68/0x81
Feb 13 02:59:57 Linux kernel: [<ffffffff810527a6>] internal_add_timer+0xcf/0xd1
Feb 13 02:59:57 Linux kernel: [<ffffffff8105326e>] __mod_timer+0xb8/0xd6
Feb 13 02:59:57 Linux kernel: [<ffffffff813457a8>] ? neigh_periodic_timer+0x0/0x175
Feb 13 02:59:57 Linux kernel: [<ffffffff8105330e>] mod_timer+0x21/0x23
Feb 13 02:59:57 Linux kernel: [<ffffffff81345909>] neigh_periodic_timer+0x161/0x175
Feb 13 02:59:57 Linux kernel: [<ffffffff81052a0d>] run_timer_softirq+0x194/0x210
Feb 13 02:59:57 Linux kernel: [<ffffffff810640b3>] ? getnstimeofday+0x5b/0xaf
Feb 13 02:59:57 Linux kernel: [<ffffffff81021f78>] ? lapic_next_event+0x15/0x19
Feb 13 02:59:57 Linux kernel: [<ffffffff8104e824>] __do_softirq+0xb9/0x18d
Feb 13 02:59:57 Linux kernel: [<ffffffff81011e0c>] call_softirq+0x1c/0x30
Feb 13 02:59:57 Linux kernel: [<ffffffff81013233>] do_softirq+0x47/0x8d
Feb 13 02:59:57 Linux kernel: [<ffffffff8104e564>] irq_exit+0x44/0x81
Feb 13 02:59:57 Linux kernel: [<ffffffff81022894>] smp_apic_timer_interrupt+0x86/0x94
Feb 13 02:59:57 Linux kernel: [<ffffffff81011813>] apic_timer_interrupt+0x13/0x20
Feb 13 02:59:57 Linux kernel: <EOI>  [<ffffffff81017d1a>] ? mwait_Feb 13 12:36:10 Linux kernel: imklog 3.22.1, log source = /proc/kmsg started.

Comment 2 Victor 2010-03-03 14:13:20 UTC
I have a similar problem here:

Mar  2 23:03:45 localhost kernel: ------------[ cut here ]------------
Mar  2 23:03:45 localhost kernel: WARNING: at lib/list_debug.c:30 __list_add+0x68/0x81() (Not tainted)
Mar  2 23:03:45 localhost kernel: Hardware name: VGN-FW378J
Mar  2 23:03:45 localhost kernel: list_add corruption. prev->next should be next (ffff88015819fda0), but was ffff880036481130. (prev=ffff880036481130).
Mar  2 23:03:45 localhost kernel: Modules linked in: cryptd aes_x86_64 aes_generic fuse rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand acpi_cpufreq freq_table nf_conntrack_ftp ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 uinput snd_hda_codec_realtek arc4 snd_hda_intel snd_hda_codec ecb snd_hwdep snd_seq snd_seq_device iwlagn snd_pcm snd_timer iwlcore btusb snd uvcvideo soundcore bluetooth videodev mac80211 sdhci_pci sdhci sky2 v4l1_compat mmc_core iTCO_wdt i2c_i801 v4l2_compat_ioctl32 sony_laptop iTCO_vendor_support cfg80211 snd_page_alloc serio_raw rfkill joydev dm_multipath firewire_ohci firewire_core crc_itu_t video output radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: microcode]
Mar  2 23:03:45 localhost kernel: Pid: 1637, comm: X Not tainted 2.6.31.12-174.2.22.fc12.x86_64 #1
Mar  2 23:03:45 localhost kernel: Call Trace:
Mar  2 23:03:45 localhost kernel: [<ffffffff81051710>] warn_slowpath_common+0x84/0x9c
Mar  2 23:03:45 localhost kernel: [<ffffffff8105177f>] warn_slowpath_fmt+0x41/0x43
Mar  2 23:03:45 localhost kernel: [<ffffffffa004df78>] ? ttm_buffer_object_init+0x338/0x361 [ttm]
Mar  2 23:03:45 localhost kernel: [<ffffffff81207f43>] __list_add+0x68/0x81
Mar  2 23:03:45 localhost kernel: [<ffffffffa007ab3d>] radeon_object_create+0x1cb/0x1de [radeon]
Mar  2 23:03:45 localhost kernel: [<ffffffffa007a925>] ? radeon_ttm_object_object_destroy+0x0/0x4d [radeon]
Mar  2 23:03:45 localhost kernel: [<ffffffffa008586d>] radeon_gem_object_create+0x90/0xfe [radeon]
Mar  2 23:03:45 localhost kernel: [<ffffffffa00858db>] ? radeon_gem_create_ioctl+0x0/0xdf [radeon]
Mar  2 23:03:45 localhost kernel: [<ffffffffa0085935>] radeon_gem_create_ioctl+0x5a/0xdf [radeon]
Mar  2 23:03:45 localhost kernel: [<ffffffffa00854d5>] ? radeon_gem_wait_idle_ioctl+0x59/0x63 [radeon]
Mar  2 23:03:45 localhost kernel: [<ffffffffa001521f>] drm_ioctl+0x237/0x2f4 [drm]
Mar  2 23:03:45 localhost kernel: [<ffffffff81108e31>] vfs_ioctl+0x6f/0x87
Mar  2 23:03:45 localhost kernel: [<ffffffff8104901d>] ? finish_task_switch+0x63/0xe6
Mar  2 23:03:45 localhost kernel: [<ffffffff81109340>] do_vfs_ioctl+0x47b/0x4c1
Mar  2 23:03:45 localhost kernel: [<ffffffff811093dc>] sys_ioctl+0x56/0x79
Mar  2 23:03:45 localhost kernel: [<ffffffff810fcfc6>] ? sys_read+0x61/0x6e
Mar  2 23:03:45 localhost kernel: [<ffffffff81011d32>] system_call_fastpath+0x16/0x1b
Mar  2 23:03:45 localhost kernel: ---[ end trace c9bab5d597be6a0e ]---

Comment 3 Victor 2010-03-03 14:15:12 UTC
The kernel version on the previous post is:
2.6.31.12-174.2.22.fc12.x86_64

Comment 4 Victor 2010-03-03 15:27:57 UTC
Created attachment 397582 [details]
Kernel crashes

Comment 5 Bug Zapper 2010-11-04 00:04:45 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 23:54:23 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.